Subject: RE: [Speermint] LNP today and routing by domain tomorrow

From: "Reinaldo Penno" <[email-masked]>
Date: Mon, 29 May 2006 17:36:08 -0400

> -----Original Message-----
> From: Pfautz, Penn L, GBLAM [mailto:[email-masked]]
> Sent: Monday, May 29, 2006 2:18 PM
> To: Reinaldo Penno; Stastny Richard; Otmar Lendl
> Subject: RE: [Speermint] LNP today and routing by domain tomorrow
> 
> A couple of things:
> 
> 1. Re how is LNP implemented today. Yes, in the rational
implementation
> (i.e., all call query) there is an entry for every ported away number.
> You can no longer route on dialed central office code and that is why
> ENUM has a Tier 1 at the per-number level.
> In terms of mobility, calls go to their home switch first and are then
> routed to wherever the subscriber is roaming.
[[Reinaldo]] 

Thanks for he explanation. That was what I was looking for.

> 
> 2. In terms of exchanging domain info. I'm not sure I follow the
> scenario. I don't expect so many  domains to be relevant if peering is
> service provider to service provider. If everybody really doesn't use
> E.164 but chooses to reinvent the wheel again by having their own
> domain, then we'll need DNS RRs that specify a VoIP service provider
> similar to what infrastructure ENUM will do for E.164.
> Am I missing something?
[[Reinaldo]] 

Scenario is this:

* [email-masked] wants to make a VoIP call to [email-masked]
(E.164 numbers are never used in this case).

* A DNS resolution of @companyB.com return bigproviderA.com that
provides VoIP service to company A.

* Packet goes to some SIP proxy in bigproviderA.com

Now some options are presented:

bigproviderA.com can make a DNS request and receive a proxy in
companyB.com (we are basically done). Another option is that the DNS
resolution will return bigproviderB.com (which provides VoIP service to
company B).

When crossing from providerA to providerB, SIP subscriptions/notifies
will allow making a more informed choice on where to cross, specific SIP
proxy at a certain location to use, etc, etc. 

Another option is that some relevant domains could be exchanged in
subscription/notify messages, so that instead of making a DNS resolution
to find out the proxy in providerB, provider's A proxy will consult its
subscription data and find out the "closest proxy", less costly, or
whatever. DNS data could be an input to this decision too.

This is the 10000 foot view. 

I'm writing a draft with some other colleagues that will hopefully
provide a text for people to flame instead of just messages in the list.

Thanks,

Reinaldo

> 
> -----Original Message-----
> From: Reinaldo Penno [mailto:[email-masked]]
> Sent: Saturday, May 27, 2006 3:30 PM
> To: Stastny Richard; Otmar Lendl
> Cc: [email-masked]
> Subject: RE: [Speermint] Updated Draft: SPEERMINT Peering Architecture
> 
> Enum? When I dial (650) 453 2312, what is there to resolve _inside_
the
> wireless network that owns this number apart from the location of the
> user?
> 
> Now, in the scenario where an external call (for example, a cingular
> customer calling a Verizon customer (which owns an original t-mobile
> number). How that works today? If you say ENUM I would stand corrected
> (and surprised), since LNP has been fully deployed since 2003.
> 
> When a user takes its number with them, I assumed this punches a whole
> in the telephone prefix hierarchy and a specific entry somewhere is
> needed.
> 
> Regards,
> 
> Reinaldo
> 
> 
> > -----Original Message-----
> > From: Stastny Richard [mailto:[email-masked]]
> > Sent: Saturday, May 27, 2006 4:26 AM
> > To: Reinaldo Penno; Otmar Lendl
> > Cc: [email-masked]
> > Subject: Re: [Speermint] Updated Draft: SPEERMINT Peering
Architecture
> >
> > >I wonder how
> > >LNP is solved within wireless...A specific entry for each phone?
That
> > >would be crazy.
> >
> > Ahem, ENUM?
> >
> > I thought that is all what ENUM is about?
> >
> > Richard
> >
> >
> > ________________________________
> >
> > Von: Reinaldo Penno [mailto:[email-masked]]
> > Gesendet: Sa 27.05.2006 11:04
> > An: Otmar Lendl; Patrick Melampy
> > Cc: Khan, Sohel Q [CTO]; [email-masked]
> > Betreff: RE: [Speermint] Updated Draft: SPEERMINT Peering
Architecture
> >
> >
> >
> > Hello,
> >
> > I believe the crux of the problem was missed.
> >
> > The issue is not really the number of domains. We have today some
> > 400.000.000 million hosts on the Internet. BGP peers to do not
> exchange
> > 400.000.000 million routes, they exchange in the low hundreds of
> > thousands.
> >
> > And why is that? (I guess you know where I'm getting at). That's
> because
> > IP addresses lend themselves very well to hierarchical deployment,
> > compression through prefix/CIDR usage and the like. DNS names are
> > strings and hence difficult to come up with a similar scheme.
> >
> >
> > I believe that if domains need to be exchanged between peers:
> >
> > 1 - Just a limited set would be exchanged and a "default layer 5
> route"
> > (equivalent to a traditional default route) would be used.
> >
> > 2 - Compression schemes like *.company.com, regular expressions or
the
> > like would need to be used. Having specific routes to AORs would be
> > hairy (maybe for the eventual roaming or visiting user). I wonder
how
> > LNP is solved within wireless...A specific entry for each phone?
That
> > would be crazy.
> >
> > 3 - Some new scheme that will make somebody rich....until then..
> >
> > I believe subscriptions would be used to exchange mostly "cost" and
> > policy information and some domains. I use cost here in the layer 3
> > sense (number of calls, jitter, whatever). Cost would be an abstract
> > value or a more specific one (up to the administrator).
> >
> > Regards,
> >
> > Reinaldo
> >
> > > -----Original Message-----
> > > From: Otmar Lendl [mailto:[email-masked]]
> > > Sent: Saturday, May 27, 2006 1:29 AM
> > > To: Patrick Melampy
> > > Cc: 'Khan, Sohel Q [CTO]'; [email-masked]
> > > Subject: Re: [Speermint] Updated Draft: SPEERMINT Peering
> Architecture
> > >
> > > On 2006/05/26 18:05, Patrick Melampy <[email-masked]>
> wrote:
> > > > I suppose like in any distributed routing protocol, there are
some
> > > chicken
> > > > an egg issues. But consider the following.
> > > >
> > > > PREREQUISITES:
> > > > 1.) You know the destination DOMAIN from either ENUM or other
> means.
> > >
> > > [...]
> > > >
> > > > This technique is very similar to TRIP, only its for DOMAINS and
> not
> > > partial
> > > > E.164 numbers.
> > >
> > > [...]
> > >
> > > > Obviously, the data set could get large, as the list of domains
> can
> > be
> > > > really big. There are some possibilities here...
> > >
> > > Let's do a quick estimate on the number of domains involved:
> > >
> > > Right now, operators usually give customers URIs of the form
> > > <number>@<providerdomain>. As long as this is the state of
affairs,
> > > we're fine as the number of providers is quite finite (a few
> > > thousands, perhaps).
> > >
> > > This is like the state of affairs with respect to email, anno
1990.
> > > Back then customers started to notice that if they use their own
> > domain
> > > for email, then they can switch providers without having to change
> > > their email address. Thus a *lot* of people opted to use their
> > > own domain for email.
> > >
> > > My guess is that the same will happen to SIP. Once customers print
> > > their SIP uris on business cards, they will want to use their own
> > > domains. If providers won't support that feature then I suspect
that
> > > the regulators will step in and mandate an URI portability
solution
> > > just as they did in the PSTN with respect to numbers from number
> > blocks.
> > > (This could get really nasty protocol-wise, so I guess using
> customer-
> > > owned domains is the far better and likelier solution to the
porting
> > > question.)
> > >
> > > So: Anything we come up with here in SPEERMINT needs to cope with
a
> > > scenario where the use of customer domains in SIP URIs is just as
> > > widespread as it is for email.
> > >
> > > How many domains are used for email? That's hard to say. There are
> > > about 60 million gTLD domains and probably more than 20 ccTLD
ones.
> > > Assuming that only a tenth of that is used for email we're at
> > > 8 million domains. Given the exponential growth any system which
> > > doesn't scale to at least 10 million domains will be obsolete
before
> > > the ink is dry on the RFC.
> > >
> > > So what happens if we do some sort of BGP or TRIP with domains?
> > >
> > > Let's say we need at least 100 bytes of state information per
> domain.
> > > That makes a full routing table 1 GB worth of data. That also
means
> > > that a new border element needs to exchange that amount of data
> > > with its peers before it has learned the current state of the
> > > routing table.
> > >
> > > That is some serious amount of data.
> > >
> > > > 1.) Have notification point to a published document, and the
> > document
> > > lists
> > > > all of the relevant reachability in real time. Thus any change
to
> > the
> > > > document would generate a NOTIFICATION.
> > >
> > > + a download of up to 1 GB per peer.
> > >
> > > > 2.) User partial domains, broken up by the "dots". This may
allow
> > some
> > > > wildcarding to reduce the number of domains. For instance, a
> carrier
> > > like
> > > > Verizon may have many 100's of domains attached to it, and
version
> > is
> > > > willing to route and manage SIP traffic to any of them. The
NOTIFY
> > could
> > > > contain something like: Verizon.com or *.verizon.com to indicate
> > that
> > > any
> > > > domain in Verizon is reachable.
> > >
> > > That's helpful if a provider uses subdomains for internal
purposes,
> > > but that won't help you with customer owned domains.
> > >
> > > > This technique may work -- and fit nicely into an existing
> protocol.
> > All
> > > we
> > > > would need to do is define the data models (XML?) and or
documents
> > for
> > > > exchanging.
> > >
> > > I think this technique can work -- if you add an aggregation step
> > > before the routing scheme.
> > >
> > > Take another look at BGP: there you have the concept of an
> > > Autonomous System and not only that of prefixes. Maybe you need
> > > something similar.
> > >
> > > One approach to cope with hosted SIP domains could be to use the
> > > hostnames as found in SRV records. E.g. for settings like
> > >
> > > _sip._tcp.customer.domain IN SRV 10 10 5060 sip.provider.com
> > >
> > > run the routing algorithm on "sip.provider.com" instead
> > > of "customer.domain".
> > >
> > > Another option is to store some AS-equivalent in the customer
domain
> > > and have the routing algorithm operate on that. In my
domain-policy
> > > framework this could be expressed e.g. like
> > >
> > > customers.domain IN NAPTR 10 10 "u" "D2P+SIP:route-id"
> > >       "!.*!urn:ietf:speermint:RID:1042!" .
> > >
> > > stating that this domain can be reached using the Speermint
routing
> > > logic by using the learned route to RoutingID 1042.
> > >
> > > Or, even better, use non-terminals, and thus refer to the ingress
> > > policy stored in the provider's domain:
> > >
> > > customers.domain IN NAPTR "" 10 10 "D2P+SIP" "" provider.com
> > >
> > > provider.com. IN NAPTR 10 10 "u" "D2P+SIP:route-id"
> > >       "!.*!urn:ietf:speermint:RID:1042!" .
> > >
> > > (+ whatever other facts provider.com wants to announce about his
> > > reachability.)
> > >
> > > This combination of our ideas can indeed work and scale to an
> > > unlimited number of customer-owned domains.
> > >
> > > /ol
> > > --
> > > < Otmar Lendl ([email-masked]) | nic.at Systems Engineer >
> > >
> > > _______________________________________________
> > > Speermint mailing list
> > > [email-masked]
> > > https://www1.ietf.org/mailman/listinfo/speermint
> >
> > _______________________________________________
> > Speermint mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/speermint
> 
> _______________________________________________
> Speermint mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speermint

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint